package it.unipd.dei.listviewexample;

import android.app.ListActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;

public class MainActivity extends ListActivity implements OnItemClickListener {

	private String[] fillStringArrayWithData() {
		String[] a = new String[('Z' - 'A' + 1)];
		for (int i = 0; i < a.length; ++i) {
			char[] c = { (char) ('A' + i) };
			a[i] = new String(c);
		}
		return a;
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		String[] myStringArray = this.fillStringArrayWithData();
		ArrayAdapter<String> arrAdapter = new ArrayAdapter<String>(this,
				android.R.layout.simple_list_item_1, myStringArray);
		this.getListView().setAdapter(arrAdapter);

		this.getListView().setOnItemClickListener(this);

	}

	@Override
	public void onItemClick(AdapterView<?> parent, View v, int position, long id) {
		Object clickedObj = parent.getItemAtPosition(position);
		Log.i("[onItemClick]", clickedObj.toString());
	}

}
